Debian Bug report logs - #214449
xfonts-base: ISO8859 font problems for several programs

version graph

Package: xfonts-base; Maintainer for xfonts-base is Debian X Strike Force <debian-x@lists.debian.org>; Source for xfonts-base is src:xfonts-base.

Reported by: AsbjørnSæbø <asbjs@stud.ntnu.no>

Date: Mon, 6 Oct 2003 20:03:02 UTC

Severity: important

Tags: unreproducible

Merged with 213286

Found in versions 4.2.1-11, 4.2.1-12.1, xfonts-base/1:1.0.0-3

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Asbjørn Sæbø <asbjs@stud.ntnu.no>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Asbjørn Sæbø <asbjs@stud.ntnu.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xfonts-base: ISO8859 font problems for several programs
Date: Mon, 06 Oct 2003 21:50:55 +0200
Package: xfonts-base
Version: 4.2.1-11
Severity: important

I am using Debian Sarge.  After an upgrade 29th september, I have got 
font problems with several programs (at least emacs, Adobe acroread, gv, 
xpdf).

For Emacs I managed to find a workaround that makes it usable, by 
specifying fonts in .Xresources for it.  The other programs give error 
messages, complaining about beeing unable to load ISO8859 fonts.  (As 
Emacs also did.)

I am not sure that xfonts-base is the right package to blaim.  According 
to the aptitude log, these are the packages that were upgraded before 
the problems arised:

Aptitude log:
-------------
Aptitude 0.2.11.1: log report
Mon Sep 29 20:36:27 2003


IMPORTANT: this log only lists intended actions; actions which fail due 
to
dpkg problems may not be completed.

Will install 53 packages, and remove 3 packages.
6387712 bytes of disk space will be used
===============================================================================
[REMOVE, NOT USED] plib1.5
[REMOVE, NOT USED] xlibmesa3
[INSTALL, DEPENDENCIES] plib1c102
[INSTALL, DEPENDENCIES] tux-aqfh-data
[REMOVE, DEPENDENCIES] plib1
[UPGRADE] balsa 2.0.12-1 -> 2.0.14-1
[UPGRADE] debian-reference-common 1.06-3 -> 1.06-7
[UPGRADE] debian-reference-en 1.06-3 -> 1.06-7
[UPGRADE] dictionaries-common 0.10.3 -> 0.15.3
[UPGRADE] doc-linux-html 2003.07-1 -> 2003.09-1
[UPGRADE] doc-linux-text 2003.07-1 -> 2003.09-1
[UPGRADE] fontconfig 2.2.1-1 -> 2.2.1-3
[UPGRADE] gdm-themes 0.1 -> 0.2
[UPGRADE] lbxproxy 4.2.1-6 -> 4.2.1-11
[UPGRADE] libdb4.0 4.0.14-1.2 -> 4.0.14-1.3
[UPGRADE] libdps1 4.2.1-6 -> 4.2.1-11
[UPGRADE] libfontconfig1 2.2.1-1 -> 2.2.1-3
[UPGRADE] libgsf-1 1.8.1-4 -> 1.8.2-1
[UPGRADE] libgsf-gnome-1 1.8.1-4 -> 1.8.2-1
[UPGRADE] libhtml-tree-perl 3.17-1 -> 3.18-1
[UPGRADE] libltdl3 1.4.3-10 -> 1.5-2
[UPGRADE] libnet-perl 1:1.16-1 -> 1:1.16-2
[UPGRADE] libxaw6 4.2.1-6 -> 4.2.1-11
[UPGRADE] libxaw7 4.2.1-6 -> 4.2.1-11
[UPGRADE] procps 1:3.1.9-1 -> 1:3.1.12-1
[UPGRADE] proxymngr 4.2.1-6 -> 4.2.1-11
[UPGRADE] quick-reference-en 1.06-3 -> 1.06-7
[UPGRADE] tasksel 1.25 -> 1.34
[UPGRADE] tux-aqfh 1.0.13-6 -> 1.0.14-5
[UPGRADE] tuxkart 0.2.0-2 -> 0.2.0-3
[UPGRADE] tuxkart-data 0.2.0-2 -> 0.2.0-3
[UPGRADE] twm 4.2.1-6 -> 4.2.1-11
[UPGRADE] x-window-system 4.2.1-6 -> 4.2.1-11
[UPGRADE] x-window-system-core 4.2.1-6 -> 4.2.1-11
[UPGRADE] xbase-clients 4.2.1-6 -> 4.2.1-11
[UPGRADE] xdm 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfonts-100dpi 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfonts-75dpi 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfonts-base 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfonts-scalable 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfree86-common 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfs 4.2.1-6 -> 4.2.1-11
[UPGRADE] xfwp 4.2.1-6 -> 4.2.1-11
[UPGRADE] xlibmesa3-gl 4.2.1-6 -> 4.2.1-11
[UPGRADE] xlibmesa3-glu 4.2.1-6 -> 4.2.1-11
[UPGRADE] xlibs 4.2.1-6 -> 4.2.1-11
[UPGRADE] xnest 4.2.1-6 -> 4.2.1-11
[UPGRADE] xprt 4.2.1-6 -> 4.2.1-11
[UPGRADE] xserver-common 4.2.1-6 -> 4.2.1-11
[UPGRADE] xserver-xfree86 4.2.1-6 -> 4.2.1-11
[UPGRADE] xspecs 4.2.1-6 -> 4.2.1-11
[UPGRADE] xterm 4.2.1-6 -> 4.2.1-11
[UPGRADE] xutils 4.2.1-6 -> 4.2.1-11
[UPGRADE] xvfb 4.2.1-6 -> 4.2.1-11
[UPGRADE] zlib1g 1:1.1.4-14 -> 1:1.1.4-15
[UPGRADE] zlib1g-dev 1:1.1.4-14 -> 1:1.1.4-15
===============================================================================

Log complete.




Error messages:
---------------
bash-2.05b$ acroread
Warning: Cannot convert string 
"-adobe-helvetica-bold-r-normal-*-*-120-*-*-*-*-iso8859-1" to type 
FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string 
"-adobe-helvetica-bold-r-normal-*-*-120-*-*-*-*-iso8859-1" to type 
FontList
Warning: Cannot convert string 
"-adobe-helvetica-bold-r-normal-*-*-120-*-*-*-*-iso8859-1" to type 
FontList
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal-*-10-*-*-*-*-*-iso8859-1" to type 
FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal-*-10-*-*-*-*-*-iso8859-1" to type FontList
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal-*-10-*-*-*-*-*-iso8859-1" to type FontList
Aborted (core dumped)

bash-2.05b$ gv
Warning: Cannot convert string 
"-*-Helvetica-Medium-R-Normal--*-140-*-*-P-*-ISO8859-1" to type 
FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Unable to load any usable ISO8859 font
Segmentation fault (core dumped)

bash-2.05b$ xpdf
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso88
59-1" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso88
59-1" to type FontList
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso88
59-1" to type FontList
Warning: Cannot convert string 
"-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso88
59-1" to type FontList [...]

(But xpdf starts.)






-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux undring 2.4.22-1-k7 #1 Sat Sep 6 02:13:04 EST 2003 i686
Locale: LANG=nn_NO, LC_CTYPE=nn_NO

Versions of packages xfonts-base depends on:
ii  xutils                        4.2.1-11   X Window System utility programs

-- no debconf information




Message sent on to Asbjørn Sæbø <asbjs@stud.ntnu.no>:
Bug#214449. Full text and rfc822 format available.

Message #8 received at 214449-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 214449-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#214449: xfonts-base: ISO8859 font problems for several programs
Date: Mon, 6 Oct 2003 20:25:40 -0500
[Message part 1 (text/plain, inline)]
merge 214449 213286
thanks

On Mon, Oct 06, 2003 at 09:50:55PM +0200, Asbjørn Sæbø wrote:
> Package: xfonts-base
> Version: 4.2.1-11
> Severity: important
> 
> I am using Debian Sarge.  After an upgrade 29th september, I have got 
> font problems with several programs (at least emacs, Adobe acroread, gv, 
> xpdf).
> 
> For Emacs I managed to find a workaround that makes it usable, by 
> specifying fonts in .Xresources for it.  The other programs give error 
> messages, complaining about beeing unable to load ISO8859 fonts.  (As 
> Emacs also did.)

Please don't file duplicate reports.

[The following is a form letter.]

Hello,

You recently filed a duplicate bug report against Debian's XFree86
packages; that is, the problem had already been reported.

While there is often nothing inherently wrong with doing so, the filing of
duplicate reports can cause Debian package maintainers to spend time
performing triage and maintenance operations on bug reports (e.g.,
instructing the Debian Bug Tracking System to merge the duplicates) that
could otherwise be spent resolving problems and doing other work on the
package.

One very good way to file bugs with the Debian Bug Tracking System is to
use the "reportbug" package and command of the same name.  A very nice
feature of reportbug is that, if the machine where you run it has network
access to the World Wide Web, it can query the Debian Bug Tracking System
and show you existing reports.  This reduces the chance that you'll file a
duplicate report, and offers you the option of adding follow-up information
to an existing bug report.  This is especially valuable if you have unique
information to add to an existing report, because this way information
relevant to the problem is gathered together in one place as opposed to
being scattered among multiple, duplicate bug reports where some facts may
be overlooked by the package maintainers.  The reportbug program also does
a lot of automatic information-gathering that helps package maintainers to
understand your system configuration, and also ensures that your message to
the Debian Bug Tracking System is well-formed so that it is processed
correctly by the automated tools that manage the reports.  (If you've ever
gotten a "bounce" message from the Debian Bug Tracking System that tells
you your message couldn't be processed, you might appreciate this latter
feature.)

Therefore, I strongly urge you to give "reportbug" a try as your primary
bug reporting tool for the Debian System.

One way to install reportbug is with "apt-get"; for
example:

  # apt-get install reportbug

The "reportbug" command has a few different modes that cater to different
levels of user expertise.  If this message has contained a lot of jargon
that is unfamiliar to you, you likely want to use reportbug's "novice"
mode; here's one way to do that.

  $ reportbug --mode=novice
  Please enter the name of the package in which you have found a problem,
  or type 'other' to report a more general problem.
  >

If you're more sophisticated, or if you are not using the released version
of Debian ("stable"), but instead Debian "testing" or "unstable", you
should use reportbug's standard mode.

  $ reportbug
  Please enter the name of the package in which you have found a problem,
  or type 'other' to report a more general problem.
  >

The reportbug command is extensively documented in its usage message and
manual page.  Commands to view these pieces of documentation are:

  $ reportbug --help | more
  $ man reportbug

(The output of the above commands has been omitted from this message.)

Thanks for using the Debian system!

-- 
G. Branden Robinson                |     Never attribute to malice that
Debian GNU/Linux                   |     which can be adequately explained
branden@debian.org                 |     by stupidity.
http://people.debian.org/~branden/ |     -- Hanlon's Razor
[signature.asc (application/pgp-signature, inline)]

Merged 213286 214449. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Asbjørn Sæbø <asbjorn.sabo@broadpark.no>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 214449-quiet@bugs.debian.org (full text, mbox):

From: Asbjørn Sæbø <asbjorn.sabo@broadpark.no>
To: Branden Robinson <branden@debian.org>, 214449-quiet@bugs.debian.org
Subject: Re: Bug#214449: xfonts-base: ISO8859 font problems for several programs
Date: Tue, 7 Oct 2003 14:01:15 +0200
On Mon, Oct 06, 2003 at 08:25:40PM -0500, Branden Robinson wrote:
> merge 214449 213286
> thanks
> 
> On Mon, Oct 06, 2003 at 09:50:55PM +0200, Asbjørn Sæbø wrote:
> > Package: xfonts-base
> > Version: 4.2.1-11
> > Severity: important
> > 
> > I am using Debian Sarge.  After an upgrade 29th september, I have got 
> > font problems with several programs (at least emacs, Adobe acroread, gv, 
> > xpdf).
> > 
> > For Emacs I managed to find a workaround that makes it usable, by 
> > specifying fonts in .Xresources for it.  The other programs give error 
> > messages, complaining about beeing unable to load ISO8859 fonts.  (As 
> > Emacs also did.)
> 
> Please don't file duplicate reports.
> [...]


As I read the bug lists for xfonts-base, the previously reported similar
bug (213286) had been reassigned to Emacs.  But this one (214449) is
obviously not an Emacs bug, since it also affects several other
programs. 


> [...]
> One very good way to file bugs with the Debian Bug Tracking System is to
> use the "reportbug" package and command of the same name.  [...]

Which I did.

> Thanks for using the Debian system!

Thank _you_ for your work on X and for Debian!  

I am sure you get quite a lot of complaints and very little praise.  But 
you should know that your work is much appreciated.


Asbjørn Sæbø
-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?



Message sent on to Asbjørn Sæbø <asbjs@stud.ntnu.no>:
Bug#214449. Full text and rfc822 format available.

Message #18 received at 214449-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 214449-submitter@bugs.debian.org
Subject: Re: Bug#214449: xfonts-base: ISO8859 font problems for several programs
Date: Tue, 7 Oct 2003 13:42:43 -0500
[Message part 1 (text/plain, inline)]
On Tue, Oct 07, 2003 at 02:01:15PM +0200, Asbjørn Sæbø wrote:
> As I read the bug lists for xfonts-base, the previously reported similar
> bug (213286) had been reassigned to Emacs.  But this one (214449) is
> obviously not an Emacs bug, since it also affects several other
> programs. 

I've reassigned it back to xfonts-base, but it probably needs to be
assigned to xlibs.

In any event, the bug had already been filed; since it was the same
problem, it would have been fine to follow up to the Emacs bug and CC
xfonts-base@packages.debian.org, for instance.

> Thank _you_ for your work on X and for Debian!  
> 
> I am sure you get quite a lot of complaints and very little praise.  But 
> you should know that your work is much appreciated.

Thanks!

-- 
G. Branden Robinson                |     Software engineering: that part of
Debian GNU/Linux                   |     computer science which is too
branden@debian.org                 |     difficult for the computer
http://people.debian.org/~branden/ |     scientist.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Asbjørn Sæbø <asbjs@stud.ntnu.no._REMOVE_.invalid>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #23 received at 214449@bugs.debian.org (full text, mbox):

From: Asbjørn Sæbø <asbjs@stud.ntnu.no._REMOVE_.invalid>
To: 214449@bugs.debian.org
Subject: Other applications affected
Date: Mon, 3 Nov 2003 10:10:18 +0100
In addition to the applications previously reported, this bug also 
affects xload and  display (imagemagick). 

bash-2.05b$ xload
Warning: Unable to load any usable ISO8859 font
Segmentation fault
bash-2.05b$

bash-2.05b$ display
display: Unable to load font 
(-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso8859-1).
display: Unable to load font 
(-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso8859-1).


Asbj.S.
-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Thomas Mueller <tmm@tmueller.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #28 received at 214449@bugs.debian.org (full text, mbox):

From: Thomas Mueller <tmm@tmueller.com>
To: 214449@bugs.debian.org
Subject: same problem after upgrade to 4.3.0-0pre1v4
Date: Fri, 14 Nov 2003 10:31:38 +0100
I had the same problem in Sid so tried a upgrade to XFree 4.3.0-0pre1v4
in experimental but the problem still exists.

This problem breaks xdvi too:

$ xdvi main.dvi
X Error of failed request:  BadValue (integer parameter out of range for
operation)
  Major opcode of failed request:  45 (X_OpenFont)
  Value in failed request:  0x3400005
  Serial number of failed request:  25
  Current serial number in output stream:  26

I've been told reinstalling debian helps - isn't there an easier
solution?


-- 
MfG Thomas Mueller - http://www.tmueller.com for pgp key (95702B3B)



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #33 received at 214449@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Thomas Mueller <tmm@tmueller.com>, 214449@bugs.debian.org
Subject: Re: Bug#214449: same problem after upgrade to 4.3.0-0pre1v4
Date: Fri, 14 Nov 2003 14:01:50 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 14, 2003 at 10:31:38AM +0100, Thomas Mueller wrote:
> I had the same problem in Sid so tried a upgrade to XFree 4.3.0-0pre1v4
> in experimental but the problem still exists.
> 
> This problem breaks xdvi too:
> 
> $ xdvi main.dvi
> X Error of failed request:  BadValue (integer parameter out of range for
> operation)
>   Major opcode of failed request:  45 (X_OpenFont)
>   Value in failed request:  0x3400005
>   Serial number of failed request:  25
>   Current serial number in output stream:  26
> 
> I've been told reinstalling debian helps - isn't there an easier
> solution?

There had better be; I don't regard reinstallation of the entire OS
as a solution to anything except a security breach.

Doing so just destroys the evidence of whatever has gone wrong in the
first place.

Can you mail this bug the main.dvi file you are using?

-- 
G. Branden Robinson                |     Reality is what refuses to go away
Debian GNU/Linux                   |     when I stop believing in it.
branden@debian.org                 |     -- Philip K. Dick
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Thomas Mueller <tmm@tmueller.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #38 received at 214449@bugs.debian.org (full text, mbox):

From: Thomas Mueller <tmm@tmueller.com>
To: 214449@bugs.debian.org
Subject: Re: Bug#214449: same problem after upgrade to 4.3.0-0pre1v4
Date: Fri, 14 Nov 2003 20:30:07 +0100
Hi Branden,

> > $ xdvi main.dvi
> > X Error of failed request:  BadValue (integer parameter out of range for
> > operation)
> >   Major opcode of failed request:  45 (X_OpenFont)
> >   Value in failed request:  0x3400005
> >   Serial number of failed request:  25
> >   Current serial number in output stream:  26
> > 
> > I've been told reinstalling debian helps - isn't there an easier
> > solution?
> 
> There had better be; I don't regard reinstallation of the entire OS
> as a solution to anything except a security breach.

If it's the fastest way to get back a working OS it can be a real good
solution. Or at least the most practical.
Neither xemacs nor xdvi work at the moment - and I have to use these
programs several hours a day.

> Can you mail this bug the main.dvi file you are using?

I've attached a stripped down version. xdvi still produces the same
output.

These fonts are installed:

tmm@blade:~$ dpkg -l 'xfonts*' | grep ^ii
ii  xfonts-100dpi  4.3.0-0pre1v4  100 dpi fonts for X
ii  xfonts-100dpi- 4.3.0-0pre1v4  100 dpi fonts for X (transcoded from
ISO 106
ii  xfonts-75dpi   4.3.0-0pre1v4  75 dpi fonts for X
ii  xfonts-75dpi-t 4.3.0-0pre1v4  75 dpi fonts for X (transcoded from
ISO 1064
ii  xfonts-base    4.3.0-0pre1v4  standard fonts for X
ii  xfonts-base-tr 4.3.0-0pre1v4  standard fonts for X (transcoded from
ISO 10
ii  xfonts-scalabl 4.3.0-0pre1v4  scalable fonts for X

ttf-commercial added the fonts of Windows XP.


-- 
MfG Thomas Mueller - http://www.tmueller.com for pgp key (95702B3B)



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Thomas Mueller <tmm@tmueller.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #43 received at 214449@bugs.debian.org (full text, mbox):

From: Thomas Mueller <tmm@tmueller.com>
To: 214449@bugs.debian.org
Subject: Re: Bug#214449: same problem after upgrade to 4.3.0-0pre1v4
Date: Fri, 14 Nov 2003 21:13:45 +0100
[Message part 1 (text/plain, inline)]
> I've attached a stripped down version.

Sorry forgot the attachement.


-- 
MfG Thomas Mueller - http://www.tmueller.com for pgp key (95702B3B)
[main.dvi (application/x-dvi, attachment)]

Message sent on to Asbjørn Sæbø <asbjs@stud.ntnu.no>:
Bug#214449. Full text and rfc822 format available.

Message #46 received at 214449-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 214449-submitter@bugs.debian.org
Subject: Re: Bug#214449: same problem after upgrade to 4.3.0-0pre1v4
Date: Sat, 15 Nov 2003 16:17:03 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 14, 2003 at 08:30:07PM +0100, Thomas Mueller wrote:
> > Can you mail this bug the main.dvi file you are using?
> 
> I've attached a stripped down version. xdvi still produces the same
> output.

There was no attachment to your mail.

-- 
G. Branden Robinson                |     There's nothing an agnostic can't
Debian GNU/Linux                   |     do if he doesn't know whether he
branden@debian.org                 |     believes in it or not.
http://people.debian.org/~branden/ |     -- Graham Chapman
[signature.asc (application/pgp-signature, inline)]

Message sent on to Asbjørn Sæbø <asbjs@stud.ntnu.no>:
Bug#214449. Full text and rfc822 format available.

Message #49 received at 214449-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 214449-submitter@bugs.debian.org
Subject: Re: Bug#214449: same problem after upgrade to 4.3.0-0pre1v4
Date: Sat, 15 Nov 2003 16:18:07 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 14, 2003 at 09:13:45PM +0100, Thomas Mueller wrote:
> > I've attached a stripped down version.
> 
> Sorry forgot the attachement.

And I forgot to check to see if you mailed me it later...

Thanks! :)

-- 
G. Branden Robinson                |    It is the responsibility of
Debian GNU/Linux                   |    intellectuals to tell the truth and
branden@debian.org                 |    expose lies.
http://people.debian.org/~branden/ |    -- Noam Chomsky
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Huaiyu Zhu <huaiyu_zhu@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #56 received at 214449@bugs.debian.org (full text, mbox):

From: Huaiyu Zhu <huaiyu_zhu@yahoo.com>
To: Debian Bug Tracking System <214449@bugs.debian.org>
Subject: xfonts-base: Seem to be linked to locale
Date: Sun, 01 Feb 2004 20:38:27 -0800
Package: xfonts-base
Version: 4.2.1-12.1
Severity: normal
Followup-For: Bug #214449


I have managed to resolve this problem on my system.  Here's a recount:

I did an upgrade to testing yesterday and got this same problem: No
bitmapped fonts available for emacs, xfontsel, xload, etc.  All ttfonts are
available, though, so terminals and mozilla, etc display properly.

After many fruitless hours I suspected it was a locale issue (I've changed
the locale of the system in the past).  So I opened Control Center -> Region
and Accessibility -> Country/Region & Language.  There it shows

Country: US
Language: <No language>

I changed Country to C/default and English came up in Language box.  Since
this change requires restarting KDE to take effect, I logged out and in
again. Indeed the fonts are now available in Emacs.  Afterwards I changed
Country back to US/English and it still works.

I cannot say that this is definitely the cause of the font problem: before
trying this, I've tried installing, removing and reconfiguring several
font-related packages, starting and stopping xfs and xfstt, etc, without
logging out of KDE.  So there is a chance one of these actions did the
trick.

There is a still a partial problem: the font in emacs appears to be quite
large and ugly.  It does not appear to be the same as what I had before.

Huaiyu

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux saturn 2.4.18-bf2.4 #1 Son Apr 14 09:53:28 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages xfonts-base depends on:
ii  xutils                        4.2.1-12.1 X Window System utility programs

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Thomas Jahns <Thomas.Jahns@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 214449@bugs.debian.org (full text, mbox):

From: Thomas Jahns <Thomas.Jahns@gmx.net>
To: Debian Bug Tracking System <214449@bugs.debian.org>
Subject: xfonts-base: Problem is: fonts.dir and other files /usr/lib/X11/fonts/75dpi etc.
Date: Tue, 16 May 2006 00:44:30 +0200
Package: xfonts-base
Version: 1:1.0.0-3
Followup-For: Bug #214449

Hi,

I noticed the same problem and looked at what /var/log/Xorg.0.log contains:

guess what? Although the font files by e.g. xfonts-75dpi are removed
from /usr/lib/X11/fonts/75dpi and placed into
/usr/share/fonts/X11/75dpi, the fonts.dir and other files stay behind
in /usr/lib/X11/fonts/75dpi and are included because of compiled in
defaults of the X-Server, which then tries to load fonts listed in
/usr/lib/X11/fonts/75dpi/fonts.dir from there (but fails for obvious
reasons). Thus some procedure is required to remove empty directories
in /usr/lib/X11 or at least fill fonts.dir et al. with sensible values
for the few fonts left behind there.

Unfortunately I'd guess many people installed 3rd party fonts in those
places so deleting the directories right away is perhaps not the
smartest move.

I hope this info helps some people. The obvious recipe: move your
manually installed fonts to /usr/local and remove the dirs in /usr/lib
or call mkfonts at least. (I did "rm -rf /usr/lib/X11/fonts/*" but won't 
exactly recommend anything involving "rm -rf" to anyone;-))


Ciao,
Thomas Jahns

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-mercury
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages xfonts-base depends on:
ii  x11-common                    1:7.0.17   X Window System (X.Org) infrastruc
ii  xfonts-utils                  1:1.0.0-4  X Window System font utility progr

xfonts-base recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to 214449@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 214449@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Asbjørn Sæbø <asbjs@stud.ntnu.no>, Vineet Kumar <vineet@doorstop.net>, "Garcia, Daniel" <DGarcia@tx.aacisd.com>, Marc Cromme <marc@cromme.dk>, Thomas Mueller <tmm@tmueller.com>, Huaiyu Zhu <huaiyu_zhu@yahoo.com>, Thomas Jahns <Thomas.Jahns@gmx.net>
Cc: 214449@bugs.debian.org
Subject: Bug#214449: xfonts-base: ISO8859 font problems for several programs
Date: Thu, 15 Feb 2007 20:42:38 +0100
Hi,

About 3 years ago, you reported (or replied to) a bug (#214449 and
#213286, merged since) in the Debian BTS regarding iso8859-1 font
problems in several programs, especially emacs. Did any of you guys
reproduce this problem recently? With latest Xorg/Etch? If not, I will
close this bug in the next weeks.

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#214449; Package xfonts-base. Full text and rfc822 format available.

Acknowledgement sent to Marc Cromme <marc@cromme.dk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 214449@bugs.debian.org (full text, mbox):

From: Marc Cromme <marc@cromme.dk>
To: 214449@bugs.debian.org
Subject: Re: Bug#214449: xfonts-base: ISO8859 font problems for several programs
Date: Sun, 18 Feb 2007 22:13:18 +0100
Brice Goglin wrote:
> Hi,
> 
> About 3 years ago, you reported (or replied to) a bug (#214449 and
> #213286, merged since) in the Debian BTS regarding iso8859-1 font
> problems in several programs, especially emacs. Did any of you guys
> reproduce this problem recently? With latest Xorg/Etch? If not, I will
> close this bug in the next weeks.
> 
> Thanks,
> Brice
> 

Hi Brice

No. I have not seen this problem for log time. Please feel free to close 
the bug ..

Marc Cromme



Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to AsbjørnSæbø <asbjs@stud.ntnu.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #76 received at 214449-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 214449-done@bugs.debian.org
Subject: Bug#214449: xfonts-base: ISO8859 font problems for several programs
Date: Tue, 20 Mar 2007 22:26:51 +0100
Closing since people either did not see the problem for a long time or
did not reply to my ping more than a month ago.

Brice




Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Cromme <marc@cromme.dk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:33:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:25:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.